--LOCKING ORIENTATION
stage:setOrientation(Stage.LANDSCAPE_LEFT)

--FOR LOADING
local STI = Bitmap.new(Texture.new("images/STI.jpg"))
stage:addChild(STI)
STI:setAlpha(0)
function onTimer(timer)
	currentAlpha = STI:getAlpha()
	currentAlpha = currentAlpha + 0.2
	STI:setAlpha(currentAlpha)
		if currentAlpha >= 1.8 then
			timer:stop()
			stage:removeChild(STI)
		end
end
timer = Timer.new(500,0)
timer:addEventListener(Event.TIMER, onTimer, timer)
timer:start()

local crackedb = Bitmap.new(Texture.new("images/CrackedBrains.jpg"))
stage:addChild(crackedb)
crackedb:setAlpha(0)
function onTimer(timer)
	currentAlpha = crackedb:getAlpha()
	currentAlpha = currentAlpha + 0.2
	crackedb:setAlpha(currentAlpha)
		if currentAlpha >= 1.8 then
			timer:stop()
			stage:removeChild(crackedb)
		end
end
timer = Timer.new(1000,0)
timer:addEventListener(Event.TIMER, onTimer, timer)
timer:start()


--local function onTimer(timer)
--local crackedb = Bitmap.new(Texture.new("images/Blank.jpg"))
--stage:addChild(crackedb)

--LOADING SAVED APPLICATION SETTINGS
sets = dataSaver.loadValue("sets")

--DEFINE DEFAULTS
if(not sets) then
	sets = {}
	sets.sounds = true
	sets.music = true
	sets.avatar = true
	dataSaver.saveValue("sets", sets)
end
-------LEVEL
lev = dataSaver.loadValue("level")
if(not lev) then
	lev = {}
end

--------LIVES
lp = dataSaver.loadValue("life")
if(not lp) then
	lp = {}
end
-------METER SIZE
msize = dataSaver.loadValue("meter")
if(not msize) then
	msize = {}
end
-------SCORE
sco = dataSaver.loadValue("score")
if(not sco) then
	sco = {}
end
-------STAGE
gstage = dataSaver.loadValue("stages")
if(not gstage) then
	gstage = {}
end

-------TIMER
	gamesec = dataSaver.loadValue("gamesec")
	if(not gamesec) then
		gamesec = {}
	end
	gamemin = dataSaver.loadValue("gamemin")
	if(not gamemin) then
		gamemin = {}
	end

---------------HIGHSCORES
--EASY
	ehs1 = dataSaver.loadValue("ehs1")
	if(not ehs1) then
		ehs1 = {}
	end
	ehs2 = dataSaver.loadValue("ehs2")
	if(not ehs2) then
		ehs2 = {}
	end
	ehs3 = dataSaver.loadValue("ehs3")
	if(not ehs3) then
		ehs3 = {}
	end
	ehs4 = dataSaver.loadValue("ehs4")
	if(not ehs4) then
		ehs4 = {}
	end
	ehs5 = dataSaver.loadValue("ehs5")
	if(not ehs5) then
		ehs5 = {}
	end

--NORMAL
	nhs1 = dataSaver.loadValue("nhs1")
	if(not nhs1) then
		nhs1 = {}
	end
	nhs2 = dataSaver.loadValue("nhs2")
	if(not nhs2) then
		nhs2 = {}
	end
	nhs3 = dataSaver.loadValue("nhs3")
	if(not nhs3) then
		nhs3 = {}
	end
	nhs4 = dataSaver.loadValue("nhs4")
	if(not nhs4) then
		nhs4 = {}
	end
	nhs5 = dataSaver.loadValue("nhs5")
	if(not nhs5) then
		nhs5 = {}
	end

--HARD
	hhs1 = dataSaver.loadValue("hhs1")
	if(not hhs1) then
		hhs1 = {}
	end
	hhs2 = dataSaver.loadValue("hhs2")
	if(not hhs2) then
		hhs2 = {}
	end
	hhs3 = dataSaver.loadValue("hhs3")
	if(not hhs3) then
		hhs3 = {}
	end
	hhs4 = dataSaver.loadValue("hhs4")
	if(not hhs4) then
		hhs4 = {}
	end
	hhs5 = dataSaver.loadValue("hhs5")
	if(not hhs5) then
		hhs5 = {}
	end

--------------DECLARING FONTS
fbebas = TTFont.new ("BEBAS___.TTF",20)
fbigbebas = TTFont.new ("BEBAS___.TTF",30)
fcouture = TTFont.new("COUTURE-Bold.ttf",40)
fchamp = TTFont.new("Champagne & Limousines Bold.ttf",15)
fele=TTFont.new ("Champagne & Limousines Bold.ttf",15)

-------------BG MUSIC
music = {}
	--DECLARING MUSIC FILES
	music.theme = Sound.new("audio/bgm.mp3")
	--TURN MUSIC ON
	music.on = function()
		if not music.channel then
			music.channel = music.theme:play(0,1000000)
			sets.music = true
			dataSaver.saveValue("sets", sets)
		end
	end
	--TURN MUSIC OFF
	music.off = function()
		if music.channel then
			music.channel:stop()
			music.channel = nil
			sets.music = false
			dataSaver.saveValue("sets", sets)
		end
	end
	--PLAY MUSIC IF ENABLED
	if sets.music then
		music.channel = music.theme:play(0,1000000)
	end

-------------SOUNDS
sounds = {}
	--DECLARING SOUND FILES
	sounds.mbtn = Sound.new("audio/menu.mp3")
	sounds.okbtn = Sound.new("audio/ok.mp3")
	sounds.bbtn = Sound.new("audio/back.wav")
	sounds.lbtn = Sound.new("audio/levels.mp3")
	sounds.onoff = Sound.new("audio/onoff.wav")
	--TURN ON SOUDNDS
	sounds.on = function()
		sets.sounds = true
		dataSaver.saveValue("sets", sets)
	end
	--TURN OFF SOUDNDS
	sounds.off = function()
		sets.sounds = false
		dataSaver.saveValue("sets", sets)
	end
	--PLAY SOUNDS EVENT
	sounds.play = function(sound)
		--check if sounds enabled
		if sets.sounds and sounds[sound] then
			sounds[sound]:play()
		end
	end

---------------AVATAR
avatar = {}
	avatar.male = function ()
		sets.avatar = true
		dataSaver.saveValue("sets", sets)
	end
	avatar.female = function ()
		sets.avatar = false
		dataSaver.saveValue("sets", sets)
	end

--SCENEMANAGER
sceneManager = SceneManager.new({
	["mmenu"] = mmenu,
	["selectav"] = selectav,
	["continue"] = continue,
	["score"] = score,
	["tutorial"] = tutorial,
	["settings"] = settings,
	["credits"] = credits,
	["levels"] = levels,
	["story"] = story,
	["easyhs"] = easyhs,
	["normalhs"] = normalhs,
	["hardhs"] = hardhs,
	["high"] = high,
	["game"] = game,
	})
stage:addChild(sceneManager)

--GO TO MAIN MENU
sceneManager:changeScene("mmenu", 0.3, SceneManager.fade) 
--end
--timer = Timer.new(4500,1)
--timer:addEventListener(Event.TIMER, onTimer, timer)
--timer:start()